Subject: Re: [RFC] Git User's Survey 2007

From: Jakub Narebski <[email-masked]>
Date: Mon, 30 Jul 2007 02:21:23 +0200

Paolo Ciarrocchi wrote:
> On 7/27/07, Jakub Narebski <[email-masked]> wrote:

>> First there is a question about the form of survey. Should we use web
>> based survey, as the survey before (http://www.survey.net.nz), sending
>> emails with link to this survey, or perhaps do email based survey,
>> with email Reply-To: address put for this survey alone?
> 
> I vote for the survey.net.nz approach. I think that from a user
> prospective that's the right thing to do, we can have "multiple choice
> questions" and avoid some of the more common mistakes.

I think it also better (especially that I started devising questions
with multiple-choice and single-choice answers in mind...).
 
>> Third, where to send survey to? I was thinking about git mailing list,
>> LKML, and mailing list for git projects found on GitProjects page on
>> GIT wiki. Do you want to add some address? Or should info about GIT
>> User's Survey 2007 be sent also to one of on-line magazines like
>> LinuxToday, or asked to put on some blog?
> 
> I think that one of the mistakes I did when I sent out the first
> survey was to not contact any magazines and blog.

Any proposals? Besides LWN, NewsForge, Slashdot?
 
>> ----
>> About you
>>
>>     1. What country are you in?
> 
> I know that lot of people will disagree with me but from a pure
> statistical prospective I'd like to add a couple of questions about
> gender and age.
>
> I understand very well that these questions will not be useful for
> making git any better but it will be interesting to have a better
> picture abut the git customer base.

I'm not sure it would add any important informatant information;
although "age" (years, or age bracket?) could be useful.
 
>> How you use GIT

>>     8. Which porcelains do you use?
>>        (zero or more: multiple choice)
>>     -  core-git, cogito, StGIT, pg, guilt, other
          IsiSetup

> git-gui ?
> 
>>     9. Which git GUI do you use
>>        (zero or more: multiple choice)
>>     -  gitk, git-gui, qgit, gitview, giggle, other
          tig, instaweb, (h)gct, qct, KGit

I consider git-gui an UI (like qgit or tig), not a porcelain. To be
a porcelains tool need to add some SCM functionality not present in
git-core.

> How about adding a question about whether the user migrated from a
> different SCM? If so, from which SCM and why?

I have added, suggested [somewhat] by Andy Parkins, the following
set of questions:

----
Other SCMs

    1. What other SCM did you use?
    2. What other SCM do you use currently?
    3. What other SCM do you use as a main SCM for your project
       instead of git, if any? Why?
    *  example: Mercurial, better MS Windows support
    5. What would you require from git to enable you to change,
       if you use other SCM for your project?
    4. Do your git repository interact with other SCM? Or what SCM
       did you import from? What tool did/do you use?
    *  examples: CVS, import: fromcvs, interaction: git-cvsserver;
		 Subversion, git-svn
----

-- 
Jakub Narebski
Poland